import { ElementRef, TemplateRef } from '@angular/core';
import { Overlay, OverlayPositionBuilder, ScrollStrategyOptions } from '@angular/cdk/overlay';
import { TooltipDirective } from '../tooltip/tooltip.directive';
export declare class PopoverDirective extends TooltipDirective {
    /** @prop Sets content in the popover can be a string or a template */
    content: string | TemplateRef<any>;
    /** @prop shows the arrow or not */
    showArrow: boolean;
    /** @prop Sets the popover trigger MouseEnter, Click or Focus - Click is default*/
    popoverTrigger: string;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, _sso: ScrollStrategyOptions, elementRef: ElementRef);
    showPopover(): void;
    hide(): void;
    onClick(): void;
    closePopover(targetElement: any): void;
    onFocus(): void;
    onFocusout(): void;
    show(): void;
    close(): void;
}
